#include<bits/stdc++.h>
using namespace std;
int demu(int64_t a)
{
    int dem=0;
    if(int(sqrt(a))*int(sqrt(a)) ==a)
    {
        dem++;
    }
    for(int64_t i=1;i*i<a;i++)
    {
        if(a%i==0)
        {
            dem+=2;
        }
    }
    return dem;
}
int main()
{
    freopen("bai1_18","r",stdin);
    freopen("bai1_18","w",stdout);
    int64_t n,k;
    cin>>n>>k;
    int64_t r=0;
    for(int64_t i=k;i<=n;i++)
    {
        if(demu(i)==k)
        {
            r++;
        }
    }
    cout<<r;
}
